#version 330 core

out vec4 FragColor;
in vec3 Color; // Input color from the vertex shader
in vec2 TexCoord; // Input texture coordinate from the vertex shader

uniform sampler2D Texture1;

void main() {
    FragColor = texture(Texture1, TexCoord);
}